Description

MulgaraXAResource currently ignores the timeout and returns false. Instead
it should set the underlying transaction timeout.

This depends on #121 for complete functionality.

Associated revisions

Revision 1098 - 07/20/2008 01:01 PM - ronald -

Merged branch mgr-121-lockrecovery.
This contains three sets of changes:
1. support for idle and transaction timeouts - this closes #121, #122, and #125.

2. synchronization fixes and simplifications for the transactions
3. miscellaneous small fixes to the transactions - this closes #101.

History

#1 - 06/06/2008 04:16 AM - ronald -

Actually, this does not depend on #121 because this is a different timeout,
namely a limit on the total length of a transaction.

#2 - 06/06/2008 05:53 AM - ronald -
Done in r977.

To be closed when source:branches/mqgr-121-lockrecovery is merged into trunk.

#3 - 07/20/2008 01:01 PM - ronald -
- Status changed from New to Closed

- Resolution set to fixed

(In r1098) Merged branch mgr-121-lockrecovery.

This contains three sets of changes:

1. support for idle and transaction timeouts - this closes #121, #122, and #125.
2. synchronization fixes and simplifications for the transactions

3. miscellaneous small fixes to the transactions - this closes #101.
